#ifndef SPEEDBARCFG_MCC_H
#define SPEEDBARCFG_MCC_H

/***********************************************************************
**
** SpeedBarCfg.mcc
** Copyright 1999-2002 by Simone Tellini
**
** $VER: SpeedBarCfg_mcc.h 12.3 (6.2.2002)
** Updated by Alfonso Ranieri
**
***********************************************************************/

#ifndef LIBRARIES_MUI_H
#include <libraries/mui.h>
#endif

/***********************************************************************/

#define MUIC_SpeedBarCfg    "SpeedBarCfg.mcc"
#define SpeedBarCfgObject   MUI_NewObject(MUIC_SpeedBarCfg

/***********************************************************************/

#define SBCTAGBASE 0xF76B00A0

/***********************************************************************/
/*
** Methods
*/

#define MUIM_SpeedBarCfg_GetCfg (SBCTAGBASE+1)    /*  PRIVATE  */
#define MUIM_SpeedBarCfg_SetCfg (SBCTAGBASE+2)    /*  PRIVATE  */

/***********************************************************************/
/*
** Attributes
*/

#define MUIA_SpeedBarCfg_Config (SBCTAGBASE+1)   /*  MUIS_SpeedBarCfg_Config *   ISG */

/***********************************************************************/
/*
** Values
*/

#define MUIV_SpeedBarCfg_Borderless     (1<<0)
#define MUIV_SpeedBarCfg_Raising        (1<<1)
#define MUIV_SpeedBarCfg_SmallButtons   (1<<2)
#define MUIV_SpeedBarCfg_Sunny          (1<<3)

/***********************************************************************/
/*
** Structures
*/

struct MUIS_SpeedBarCfg_Config
{
    UWORD   ViewMode;
    ULONG   Flags;
};

/***********************************************************************/

#endif /* SPEEDBARCFG_MCC_H */
